$series-color: #ca123c;
$biosample-color: #e84333;
$assay-color: #C6CC2B;
$appliedAssay-color: #52b36e;
$sequencing-color: #1F92A5;
$data-color: #396b7f;
$cell-width: 18.05em;
$select_stroke-color:#5897FB;
$select_fill-color: transparentize($select_stroke-color,0.7);
$cell_border-color: #CDCDCD;
$navbar-color: #ECF0F1;
$section-color: lighten($navbar-color,3%);
$subgrid-color: #fdfdfd;
$cell_border-color_inactive: CDCDCD;

.box-shadow {
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}
.lighter-box-shadow {
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.14), 0 2px 4px rgba(0, 0, 0, 0.24);
}
.light-box-shadow {
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
}
.header-shadow {
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 -3px -6px rgba(0, 0, 0, 0.16);
}

@mixin btn ($color1, $color2) {
  color: white;
  font-size: 13pt;
  margin-bottom: 0;
  margin-left: 0;
  border-radius: 0;
  border-bottom-left-radius: 3pt;
  border-bottom-right-radius: 3pt;
  float: right;
  background-color: $color1;
  @extend .box-shadow;
  &:focus {
    // color: $color2;
    color: white;
    background-color: $color2;
    box-shadow: 0;
  }
  &:hover {
    color: white;
    // background-color: $color2;
    @extend .lighter-box-shadow;
  }
  &:active {
    color: $color2;
    background-color: $color2;
    box-shadow: 0;
  }
}

.glyphicon-refresh-animate {
    -animation: spin 2.5s infinite linear;
    -webkit-animation: spin2 2.5s infinite linear;
}

@-webkit-keyframes spin2 {
    from { -webkit-transform: rotate(0deg);}
    to { -webkit-transform: rotate(359deg);}
}

@keyframes spin {
    from { transform: scale(1) rotate(0deg);}
    to { transform: scale(1) rotate(359deg);}
}
